# List routing configurations

Returns a paginated list of routing configurations.

Endpoint: POST /routing-configs/list
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `channel_id` (string)
    Unique channel identifier. Required when using multi-channel API keys.
    Example: "chn_01JYWX6Z5A8P32B6NVH1G9876A"

  - `filters` (object)
    Filters for routing configurations.

  - `filters.payment_method_group` (object)
    Operator and value for payment method group filter.

  - `filters.payment_method_group.operator` (string, required)
    Comparison operator.
    Enum: "EQ"

  - `filters.payment_method_group.value` (string, required)
    Payment method group to filter routing configurations by.
    Enum: "CARD", "DIGITAL_WALLET", "MERCHANT_MANAGED_NETWORK_TOKEN"

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: "eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ=="

## Response 200 fields (application/json):

  - `items` (array, required)
    List of routing configurations for the current page.
    Example: [{"id":"cfg_01KQF1NX2BYTKZZMR5F62NGJPQ","payment_method_group":"DIGITAL_WALLET","title":"Default routing config","description":"Default routing for digital wallets","channel_id":"chn_01J1Z2X3Y4W5V6U7T8S9R0","latest_version_id":"cfgv_01KS52NE57E3SBT4MK06ENY5JE","latest_published_version_id":"cfgv_01KS52NE57E3SBT4MK06ENY5JE","created_at":"2026-05-18T13:58:02.062000Z","updated_at":"2026-05-21T10:52:55.814000Z"}]

  - `items.id` (string, required)
    Unique identifier of the routing configuration.
    Example: "cfg_01KQF1NX2BYTKZZMR5F62NGJPQ"

  - `items.payment_method_group` (string, required)
    Payment method group that the routing configuration applies to.
    Enum: same as `filters.payment_method_group.value` (3 values)

  - `items.title` (string, required)
    Human-readable routing configuration title.
    Example: "Default routing config"

  - `items.description` (string)
    Routing configuration description.
    Example: "Default routing for digital wallets"

  - `items.channel_id` (string, required)
    Identifier of the channel that the routing configuration belongs to.
    Example: "chn_01J1Z2X3Y4W5V6U7T8S9R0"

  - `items.latest_version_id` (string, required)
    Identifier of the most recent routing configuration version.
    Example: "cfgv_01KS52NE57E3SBT4MK06ENY5JE"

  - `items.latest_published_version_id` (string)
    Identifier of the most recently published routing configuration version.
    Example: "cfgv_01KS52NE57E3SBT4MK06ENY5JE"

  - `items.created_at` (string, required)
    Date and time when the routing configuration was created.
    Example: "2026-05-18T13:58:02.062000Z"

  - `items.updated_at` (string, required)
    Date and time when the routing configuration was updated.
    Example: "2026-05-21T10:52:55.814000Z"

  - `pagination` (object, required)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: "eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ=="

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: "One or more fields failed validation due to constraints"

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

  - `context.constraints` (object, required)
    Failed constraints keyed by the field name.
    Example: {"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: "Credentials are invalid or missing"

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: "Permission denied"

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: "Rate limit exhausted"

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: "2024-12-31T23:59:59.000000Z"


